> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/deposits-api/streamline-api.md).

# Streamline API

{% hint style="danger" %}
This documentation is meant only to support old integrations and should not be integrated anymore. For the latest Deposits Documentation [click here](https://docs.directa24.com/deposits/create-deposits).
{% endhint %}

### Streamline Integration

The Streamline API allows you to create payments via Online Bank Payment, Cash Payment or Credit Card Methods. The customer doesn't need to visit a Easy Cashouts API page to enter any details, so the payment process is “Streamlined”. However, in order for Streamline to work, Easy Cashouts API needs you to collect some key data about the customer (email address and personal identity number – eg CPF number in Brazil).

#### Streamline Deposit Flow

Find below the description of a deposit flow using the Easy Cashouts API Streamline integration:

![](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2FkVW86wrnhi4YSSL03jYq%2Fdeposit_customer.png?alt=media\&token=78544817-81b3-4006-845f-628e98941298)

![](https://3883333839-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Ff92vedEnowdVWbjM4Cmd%2Fuploads%2FUZXrM3NpsICiYjUfFtF7%2Fdeposit_flow.png?alt=media\&token=6b79cf51-6954-40b8-892c-66b84ec04c70)

**1 -** The client goes to the Merchant's Deposit page.

**2 - 3 -** The merchant calls the Easy Cashouts API get\_banks\_by\_country API, to retrieve the available payment methods for the customer's country.

**4 -** The merchant displays the local payment options, such as Caixa in Brazil or Bancomer or Visa in Mexico. (\*)

**5 -** The customer fills the required information on the Deposit page, such as the amount to deposit, and submits his deposit request.

**6 -** The merchant calls the Easy Cashouts API New Invoice API with all the deposit related information (Merchant Credentials + Control-Signature + Mandatory/Optional fields including customer details).

We will verify the customer data (personal id and data consistency, according to our KYC policies), to establish whether the customer can proceed with the transaction, or not.

**7 - 8 -** The API responds with a link to redirect the customer to the local payment method checkout/deposit information:

* **Credit/Debit Cards:** to a credit card processor page for card data entry.
* **Online Bank Payment:** to their online bank account to log in and complete the payment.
* **Cash Payment Methods:** to a printable copy of their payment advice, which they can use to pay.

**9 -** The customer makes the Cash Deposit, the Electronic Bank Transfer or the Credit/Debit Card payment.

**10 -** After the payment has been made, the customer is returned to your site (to whichever “Return URL” you specified or have configured in the Merchant Panel). See Return URL.

**11 -** Once the payment is confirmed by the Bank/Credit Card company, Easy Cashouts API will send the transaction result to your confirmation URL. See Confirmation URL.

{% hint style="info" %}
Notice that Easy Cashouts API is not displayed as a way of payment itself, only the local payment methods are offered to the customer.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/deposits-api/streamline-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
